We are happy to announce the availability of GXT 2.3.0. This release adds support for IE 10 and better support for XSS vulnerabilities. In addition, we have 40+ bug fixes. Take a look at the release notes for more details.

Maven Support
GXT 2.3.0 is a public release, and so is available in Maven Central. There are three different versions that have been released to ensure compatibility with all supported versions of GWT (1.7.0 through latest, currently 2.5.1).

GWT 1.7.0-1.7.1:
<dependency>
 <groupId>com.extjs</groupId>
 <artifactId>gxt</artifactId>
 <ersion>2.3.0-gwt17</version>
<dependency>
GWT 2.0.0-2.1.1:
<dependency>
 <groupId>com.extjs</groupId>
 <artifactId>gxt</artifactId>
 <ersion>2.3.0-gwt2</version>
<dependency>
GWT 2.2.0-latest
<dependency>
 <groupId>com.extjs</groupId>
 <artifactId>gxt</artifactId>
 <ersion>2.3.0-gwt22</version>
<dependency>

XSS Support
It is important to understand when content is treated in an HTML context. A HTML context is when the content is interpreted as HTML by the browser. There are security considerations anytime the browser treats content as HTML.GWT introduced the SafeHtml API. For more details on XSS vulnerabilities and SafeHtml see this Google article: Developer's Guide - SafeHtml.

For GXT 2.3 we can't leverage the SafeHtml code as it was introduced in GWT 2.0 and GXT 2.X still supports GWT 1.7. However, we can still make our content safe. See the release notes for details on the API changes.

Download
You can grab a copy of GXT 2.3 on our download page or grab a copy from Maven.